import directive from './directive'
import cContextMenu from './c-context-menu.vue'
import cContextMenuItem from './c-context-menu-item.vue'
import cContextMenuSubMenu from './c-context-menu-sub-menu.vue'

const install = Vue => {
  Vue.directive('contextmenu', directive)

  Vue.component('CContextMenu', cContextMenu)
  Vue.component('CContextMenuItem', cContextMenuItem)
  Vue.component('CContextMenuSubMenu', cContextMenuSubMenu)
}

export default {
  install,
}
